API Resources

GET
/v4/advisory/list

Return a list of available advisory feed names.

Overview

Returns the set of advisory feed names available in the v4 advisory index. Each item includes the feed name and a pre-built href that can be used to query that feed directly via /v4/advisory.

This endpoint accepts no query parameters.

Example Requests

curl --request GET \
    --url 'https://api.vulncheck.com/v4/advisory/list' \
    --header 'Accept: application/json' \
    --header 'Authorization: Bearer insert_token_here'

Response Attributes

namestring

Advisory feed identifier.

hrefstring

URL to query advisories for this feed via /v4/advisory.

Error Handling

Status CodeMeaning
401Missing or invalid authentication token
402Subscription required for requested data
429Rate limit exceeded
503Advisory data source unavailable

Response

{
  "data": [
    {
      "name": "vulncheck",
      "href": "https://api.vulncheck.com/v4/advisory?name=vulncheck"
    },
    {
      "name": "mitre",
      "href": "https://api.vulncheck.com/v4/advisory?name=mitre"
    }
  ]
}